Bug 1124576 - Updating kernel can remove currently used one which results in failure to resume after hibernation
Summary: Updating kernel can remove currently used one which results in failure to res...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: yum
Version: 20
Hardware: All
OS: Unspecified
unspecified
medium
Target Milestone: ---
Assignee: Packaging Maintenance Team
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-29 20:36 UTC by Artur Gawryszczak
Modified: 2015-06-29 21:50 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 21:50:32 UTC


Attachments (Terms of Use)

Description Artur Gawryszczak 2014-07-29 20:36:23 UTC
Description of problem:

I did several updates without restarting the system using commandline calls to yum. Some of the updates installed new kernel versions and one of them removed currently used kernel package. After I did hibernate (susped to disk), I wasn't able to resume properly because there was no appropriate grub entry and I was forced to reboot to newest kernel with unclean filesystems. 

There is no problem when there is one or two kernel upgrades since last reboot. It is the third upgrade that wipes current kernel files and grub entries without warning.

Note that it is a bit different from bug #1073514.


Version-Release number of selected component (if applicable):

All releases I know.


How reproducible:

Always


Steps to Reproduce:
1. Perform 3 upgrades of kernel during single uptime
2. Hibernate to disk
3. Resume

Actual results:

Resume fails because there's no proper kernel in the system.


Expected results:

Correct resume after hibernation (best).

OR

Big red blinking warning that we're removing currently used kernel and a question "are you sure?" (suboptimal)

AND

Prevent hibernation if it detects that there is no valid kernel to resume, e.g. was removed manually (optional, but this would add extra reliability to the system)

Additional info:

This can be easily fixed by preventing yum (or other package manager) from uninstalling currently used kernel. The only cost would be that temporarily there will be 4, not 3 kernel packages installed in the system. Of course if it is possible to limit to 3 versions but it is more complicated.

Comment 1 Fedora End Of Life 2015-05-29 12:30:42 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 2 Fedora End Of Life 2015-06-29 21:50:32 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.